<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
	<EnableNETAnalyzers>true</EnableNETAnalyzers>
    <IsPackable>false</IsPackable>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.Mysql\Estat.Sri.Plugin.Mysql.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.Odbc\Estat.Sri.Plugin.Odbc.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.Oracle\Estat.Sri.Plugin.Oracle.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Plugin.SqlServer\Estat.Sri.Plugin.SqlServer.csproj" />
    <ProjectReference Include="..\..\src\Estat.Sri.Security\Estat.Sri.Security.csproj">
    </ProjectReference>
    <ProjectReference Include="..\..\src\Estat.Sri.Utils\Estat.Sri.Utils.csproj">
    </ProjectReference>
    <ProjectReference Include="..\..\src\MappingStore\Estat.Sri.Sdmx.MappingStore.Retrieve.csproj">
    </ProjectReference>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MySqlConnector" />
    <PackageReference Include="nunit" />
    <PackageReference Include="NUnit3TestAdapter" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" />
    <PackageReference Include="Estat.SdmxSource.Extension" />
    <PackageReference Include="log4net" />
    <PackageReference Include="MySql.Data" />
    <PackageReference Include="NSubstitute" />
    <PackageReference Include="Oracle.ManagedDataAccess.Core" />
    <PackageReference Include="Org.Sdmx.Resources.SdmxMl.Schemas.V10" />
    <PackageReference Include="Org.Sdmx.Resources.SdmxMl.Schemas.V20" />
    <PackageReference Include="Org.Sdmx.Resources.SdmxMl.Schemas.V21" />
    <PackageReference Include="Estat.SdmxSource.SdmxAPI" />
    <PackageReference Include="Estat.SdmxSource.SdmxStructureParser" />
    <PackageReference Include="System.Data.SqlClient" />
    <PackageReference Include="XObjects" />
  </ItemGroup>

  <ItemGroup>
    <None Update="log4net.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <Target Name="CopyCustomContent" AfterTargets="AfterBuild">
  <Copy SourceFiles="app.config" DestinationFiles="$(OutDir)\testhost.dll.config" />
</Target>

</Project>
